summaryrefslogtreecommitdiffstats
path: root/games/pingus/pingus.SlackBuild
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-13 00:26:53 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:26:53 +0200
commite1971b67de34e68cb616e39604f183351b361120 (patch)
tree01f00bbdfffac9a648325b1334ef557d60ee5328 /games/pingus/pingus.SlackBuild
parent26375ac6a58603d65a7dc7a2c8c89fe803eb2921 (diff)
downloadslackbuilds-e1971b67de34e68cb616e39604f183351b361120.tar.gz
slackbuilds-e1971b67de34e68cb616e39604f183351b361120.tar.xz
games/pingus: Updated for version 0.7.2
Diffstat (limited to 'games/pingus/pingus.SlackBuild')
-rw-r--r--games/pingus/pingus.SlackBuild20
1 files changed, 12 insertions, 8 deletions
diff --git a/games/pingus/pingus.SlackBuild b/games/pingus/pingus.SlackBuild
index cfec20b76e..591fb55ed4 100644
--- a/games/pingus/pingus.SlackBuild
+++ b/games/pingus/pingus.SlackBuild
@@ -1,9 +1,8 @@
#!/bin/sh
# Slackware build script for pingus
-# Written by ppr:kut <hmwiesinger@gmx.at>
-# Copyright 2007 Heinz Wiesinger
+# Copyright 2007-2009 Heinz Wiesinger <pprkut@liwjatan.at>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,6 +27,7 @@ VERSION=0.7.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -35,8 +35,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -50,6 +55,8 @@ cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+patch -p1 -i $CWD/pingus-0.7.2+gcc-4.3.patch
+
scons \
CCFLAGS="$SLKCFLAGS" \
CPPFLAGS="$SLKCFLAGS" \
@@ -61,11 +68,8 @@ install -p -m 0644 doc/pingus.6 $PKG/usr/man/man6/
install -m 0644 $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
install -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/
-
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
@@ -82,4 +86,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}